org.apache.tomcat.util.net

## Interface SSLUtil.ProtocolInfo

- All Known Implementing Classes:
    OpenSSLEngine
  Enclosing interface:
    SSLUtil

      public static interface SSLUtil.ProtocolInfo

  Optional interface that can be implemented by `SSLEngine`s to indicate that they support ALPN and can provided the protocol agreed with the client.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNegotiatedProtocol()` ALPN information.

- - ### Method Detail

    - #### getNegotiatedProtocol

          String getNegotiatedProtocol()

      ALPN information.
      Returns:
        the protocol selected using ALPN

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.